/*
 * Copyright 2010-2011 Gregory P. Moyer
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.syphr.prom;

/**
 * This interface defines functionality to provide a default property value.
 *
 * @author Gregory P. Moyer
 */
public interface Defaultable
{
    /**
     * Retrieve the default value for key instance.
     *
     * @return the default value of this property
     */
    public String getDefaultValue();
}
